Cancelar una suma de puntos
curl --request PUT \
--url https://api.tiendadepuntos.com/external/tags/cancel/{externalId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.tiendadepuntos.com/external/tags/cancel/{externalId}"
headers = {"x-api-key": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.tiendadepuntos.com/external/tags/cancel/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status": 200,
"message": "Request was successful",
"data": {
"pointOperationId": 998877,
"clientId": 84213,
"points": {
"amount": 50,
"totalPointsToGive": 55,
"initialPointsToGive": 50
}
}
}{
"statusCode": 400,
"timestamp": "2026-07-31T14:05:12.431Z",
"path": "/external/tags/add",
"method": "POST",
"message": "Error de validación",
"errors": [
{}
],
"data": {}
}{
"statusCode": 404,
"timestamp": "2026-07-31T14:05:12.431Z",
"path": "/external/tags/add",
"method": "POST",
"message": "PointOperation with externalId FAC-A-0001-00012345 not found",
"errors": [
{}
],
"data": {}
}Puntos
Cancelar una suma de puntos
Revierte una operación de puntos identificada por el external_id con el que se creó. Se usa cuando se anula la venta en el sistema de origen. Descuenta los puntos que se habían acreditado.
PUT
/
external
/
tags
/
cancel
/
{externalId}
Cancelar una suma de puntos
Authorizations
API key del comercio. Se genera desde el panel de Tienda de Puntos, en Configuración → Integraciones.
Path Parameters
El external_id con el que se registró la suma de puntos.
Example:
"FAC-A-0001-00012345"
⌘I

